package hk.quantr.fs.Dialogs;

import javax.swing.JPanel;
import javax.swing.JSplitPane;

/**
 *
 * @author Peter <peter@quantr.hk>
 */
public class BlockDialogPanel2 extends javax.swing.JPanel {

	BlockDialog parent;
	long blockNo;
	BlockDialog_TableModel jBlockDialog_TableModel = new BlockDialog_TableModel();

	/**
	 * Creates new form BlockDialogPanel2
	 */
	public BlockDialogPanel2(BlockDialog parent, JPanel jPanel, long blockNo) {
		this.parent = parent;
		this.blockNo = blockNo;
		jBlockDialog_TableModel.setValue(blockNo);

		initComponents();
		jSplitPane1.add(jPanel, JSplitPane.BOTTOM);
		jBlockDialog_TableModel.setValue(blockNo);
	}

	/**
	 * This method is called from within the constructor to initialize the form. WARNING: Do NOT modify this code. The content of this method is always regenerated by the Form Editor.
	 */
	@SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        pCloseButton = new javax.swing.JButton();
        jToolBar1 = new javax.swing.JToolBar();
        pHexCheckBox = new javax.swing.JCheckBox();
        pDecimalCheckBox = new javax.swing.JCheckBox();
        pOctalCheckBox = new javax.swing.JCheckBox();
        pBinaryCheckBox = new javax.swing.JCheckBox();
        pCharacterCheckBox = new javax.swing.JCheckBox();
        jSplitPane1 = new javax.swing.JSplitPane();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTable1 = new javax.swing.JTable();
        jScrollPane2 = new javax.swing.JScrollPane();
        jMainTextArea = new javax.swing.JTextArea();

        setLayout(new java.awt.BorderLayout());

        pCloseButton.setText("Close");
        jPanel1.add(pCloseButton);

        add(jPanel1, java.awt.BorderLayout.SOUTH);

        jToolBar1.setRollover(true);

        pHexCheckBox.setSelected(true);
        pHexCheckBox.setText("Hex");
        pHexCheckBox.setFocusable(false);
        pHexCheckBox.setHorizontalTextPosition(javax.swing.SwingConstants.RIGHT);
        pHexCheckBox.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        pHexCheckBox.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                pHexCheckBoxActionPerformed(evt);
            }
        });
        jToolBar1.add(pHexCheckBox);

        pDecimalCheckBox.setText("Dec");
        pDecimalCheckBox.setFocusable(false);
        pDecimalCheckBox.setHorizontalTextPosition(javax.swing.SwingConstants.RIGHT);
        pDecimalCheckBox.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        pDecimalCheckBox.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                pDecimalCheckBoxActionPerformed(evt);
            }
        });
        jToolBar1.add(pDecimalCheckBox);

        pOctalCheckBox.setText("Oct");
        pOctalCheckBox.setFocusable(false);
        pOctalCheckBox.setHorizontalTextPosition(javax.swing.SwingConstants.RIGHT);
        pOctalCheckBox.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        pOctalCheckBox.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                pOctalCheckBoxActionPerformed(evt);
            }
        });
        jToolBar1.add(pOctalCheckBox);

        pBinaryCheckBox.setText("Bin");
        pBinaryCheckBox.setFocusable(false);
        pBinaryCheckBox.setHorizontalTextPosition(javax.swing.SwingConstants.RIGHT);
        pBinaryCheckBox.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        pBinaryCheckBox.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                pBinaryCheckBoxActionPerformed(evt);
            }
        });
        jToolBar1.add(pBinaryCheckBox);

        pCharacterCheckBox.setText("Char");
        pCharacterCheckBox.setFocusable(false);
        pCharacterCheckBox.setHorizontalTextPosition(javax.swing.SwingConstants.RIGHT);
        pCharacterCheckBox.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        pCharacterCheckBox.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                pCharacterCheckBoxActionPerformed(evt);
            }
        });
        jToolBar1.add(pCharacterCheckBox);

        add(jToolBar1, java.awt.BorderLayout.PAGE_START);

        jSplitPane1.setDividerLocation(200);
        jSplitPane1.setOrientation(javax.swing.JSplitPane.VERTICAL_SPLIT);

        jTable1.setModel(jBlockDialog_TableModel);
        jTable1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jTable1MouseClicked(evt);
            }
        });
        jScrollPane1.setViewportView(jTable1);

        jSplitPane1.setTopComponent(jScrollPane1);

        jMainTextArea.setColumns(20);
        jMainTextArea.setRows(5);
        jScrollPane2.setViewportView(jMainTextArea);

        jSplitPane1.setRightComponent(jScrollPane2);

        add(jSplitPane1, java.awt.BorderLayout.CENTER);
    }// </editor-fold>//GEN-END:initComponents

    private void jTable1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jTable1MouseClicked
		if (evt.getClickCount() == 2 && jTable1.getSelectedColumn() > 0) {
			new EditByteDialog(parent, blockNo, (byte) jBlockDialog_TableModel.getDecValueAt(jTable1.getSelectedRow(), jTable1.getSelectedColumn())).setVisible(true);
			jBlockDialog_TableModel.setValue(blockNo);
		}
    }//GEN-LAST:event_jTable1MouseClicked

    private void pHexCheckBoxActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_pHexCheckBoxActionPerformed
		jBlockDialog_TableModel.setShowHex(pHexCheckBox.isSelected());
    }//GEN-LAST:event_pHexCheckBoxActionPerformed

    private void pDecimalCheckBoxActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_pDecimalCheckBoxActionPerformed
		jBlockDialog_TableModel.setShowDecimal(pDecimalCheckBox.isSelected());
    }//GEN-LAST:event_pDecimalCheckBoxActionPerformed

    private void pOctalCheckBoxActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_pOctalCheckBoxActionPerformed
		jBlockDialog_TableModel.setShowOctal(pOctalCheckBox.isSelected());
    }//GEN-LAST:event_pOctalCheckBoxActionPerformed

    private void pBinaryCheckBoxActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_pBinaryCheckBoxActionPerformed
		jBlockDialog_TableModel.setShowBinary(pBinaryCheckBox.isSelected());
    }//GEN-LAST:event_pBinaryCheckBoxActionPerformed

    private void pCharacterCheckBoxActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_pCharacterCheckBoxActionPerformed
		jBlockDialog_TableModel.setShowCharacter(pCharacterCheckBox.isSelected());
    }//GEN-LAST:event_pCharacterCheckBoxActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextArea jMainTextArea;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JSplitPane jSplitPane1;
    private javax.swing.JTable jTable1;
    private javax.swing.JToolBar jToolBar1;
    private javax.swing.JCheckBox pBinaryCheckBox;
    private javax.swing.JCheckBox pCharacterCheckBox;
    private javax.swing.JButton pCloseButton;
    private javax.swing.JCheckBox pDecimalCheckBox;
    private javax.swing.JCheckBox pHexCheckBox;
    private javax.swing.JCheckBox pOctalCheckBox;
    // End of variables declaration//GEN-END:variables
}
